Skip to content

GET /api/v3/videos/{lcuid}

Summary

GET /videos/{id}

Description

Returns a single video

Tags: creatives

Parameters

Header Parameters

Name Type Required Description Example
Authorization string ✓ Yes Bearer {AuthToken}
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Responses

Response: 200

Content Type: text/plain

Schema

Type: string

Example Response
"{\n  \"success\": true,\n  \"video\": {\n    \"lcuid\": \"LCUID-LV-989f75f4-8cdd-4e09-a93b-0478660da53a\",\n    \"hash_id\": \"abc123def456\",\n    \"mime_type\": \"video/mp4\",\n    \"options\": {\n      \"public_url\": \"https://example.com/video.mp4\",\n      \"size_in_bytes\": 1048576,\n      \"thumbnail_public_url\": \"https://example.com/thumbnail.png\",\n      \"web_safe_video_url\": \"https://example.com/video_websafe.mp4\"\n    }\n  }\n}\n\n @responseFile storage/docs/responses/v3.video.json"

Example Implementations

Bash (cURL)

curl --request GET \
    --get "https://api.lucit.app/api/v3/videos/LCUID-LV-989f75f4-8cdd-4e09-a93b-0478660da53a" \
    --header "Authorization: Bearer {AuthToken}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = new URL(
    "https://api.lucit.app/api/v3/videos/LCUID-LV-989f75f4-8cdd-4e09-a93b-0478660da53a"
);

const headers = {
    "Authorization": "Bearer {AuthToken}",
    "Content-Type": "application/json",
    "Accept": "application/json",
    "AppIdV3": "LCUID-LAP-********-****-****-****-************",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());

PHP (Guzzle)

$client = new \GuzzleHttp\Client();
$response = $client->get(
    'https://api.lucit.app/api/v3/videos/LCUID-LV-989f75f4-8cdd-4e09-a93b-0478660da53a',
    [
        'headers' => [
            'Authorization' => 'Bearer {AuthToken}',
            'Content-Type' => 'application/json',
            'Accept' => 'application/json',
            'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));

Python (Requests)

import requests
import json

url = 'https://api.lucit.app/api/v3/videos/LCUID-LV-989f75f4-8cdd-4e09-a93b-0478660da53a'
headers = {
  'Authorization': 'Bearer {AuthToken}',
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}

response = requests.request('GET', url, headers=headers)
response.json()

← Back to videos index | Back to main index